Bug 1276 - smbmount: invalid slot error
smbmount: invalid slot error
Status: VERIFIED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbmount (unmaintained)
3.0.2a
Other other
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 06:21 UTC by Andreas Hasenack
Modified: 2005-02-07 07:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Hasenack 2004-04-20 06:21:58 UTC
Kernel 2.6.5
glibc-2.3.3

Upon accessing a share which was mounted with mount.smbfs from samba 3.0.3pre2,
I get an "invalid slot" error. I use the following command:
[root@pandora 5]# mount //10.0.20.215/nbt -o username=andreas /mnt/smbfs/
Password: 
[root@pandora 5]# ls -la /mnt/smbfs
ls: /mnt/smbfs: Invalid slot

If I downgrade samba to 2.2.8, then I can access the mounted share without problems.

smbclient from samba 3.0.x works perfectly. I first thought this was a kernel
(smbfs) bug, but since downgrading to samba 2.2.8 made it work again, there
seems to be some interfacing problem.
Comment 1 Andreas Hasenack 2004-04-20 08:05:05 UTC
More info: with samba 3.0.2a, it works. Don't know about 3.0.3pre1 right now,
but with 3.0.3pre2 it doesn't work.
Comment 2 Gerald (Jerry) Carter 2004-04-20 19:29:15 UTC
This should be fixed in 3.0.3rc1 I believe.
Comment 3 Andreas Hasenack 2004-04-21 22:53:18 UTC
It's fixed indeed, thanks.
Comment 4 Gerald (Jerry) Carter 2005-02-07 07:41:32 UTC
originally reported against 3.0.3pre2.  Moving back to version to 3.0.10 
to remove preX and rcX versions.